package sd201311.handwriting;

import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Xgf[^̃oChp
 */
class BindData {
	String title;		// ^Cg
	int titleIcomResId;	// ^CgACR̃\[XID

	public BindData(String text, int id) {
		this.title = text;
		this.titleIcomResId = id;
	}
}

/**
 * ViewHolder
 */
class ViewHolder {
	TextView textView;
	ImageView imageView;
}

/**
 * Navigation Drawerp̃A_v^[
 * (ViewHoldergăXg`)
 */
public class NaviDrawerAdapter extends ArrayAdapter<BindData> {
	private LayoutInflater inflater;

	public NaviDrawerAdapter(Context context, List<BindData> objects) {
		super(context, 0, objects);
		this.inflater = (LayoutInflater) context
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	}

	/**
	 * \郊Xg擾
	 */
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder;
		// nꂽViewnull̏ꍇ͐V
		if (convertView == null) {
			convertView = inflater.inflate(R.layout.drawer_list_item, 
					parent, false);
			holder = new ViewHolder();
			holder.textView = (TextView) convertView.findViewById(R.id.title);
			holder.imageView = (ImageView) convertView
					.findViewById(R.id.titleIcon);
			convertView.setTag(holder);
		} else {
			holder = (ViewHolder) convertView.getTag();
		}
		BindData data = getItem(position);
		holder.textView.setText(data.title);
		holder.imageView.setImageResource(data.titleIcomResId);
		return convertView;
	}

}