package sd201311.handwriting.Fragment;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

import sd201311.handwriting.R;
import sd201311.handwriting.View.DrawView;
import android.app.Fragment;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class WritingFragment extends Fragment {
    /**
     * onCreateView
     * @param inflater inflater
     * @param container container
     * @param savedInstanceState savedInstanceState
     * @return View
     */
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		 return inflater.inflate(R.layout.main_fragment, container, false);
	}

	/**
	 * `摜ɕϊĕۑ
	 * @param filename filename
	 * @return ۑ
	 */
	public boolean SaveBitmap(String filename) {
		boolean succeeds = false;
		try{
			// JX^ViewNX
			DrawView drawview 
				= (DrawView)getActivity().findViewById(R.id.drawview);
			// ʃLv`擾邽߁AꎞIɃLbVL
			drawview.setDrawingCacheEnabled(true);
			// ʃLv`擾
			Bitmap bitmap = Bitmap.createBitmap(drawview.getDrawingCache());
			drawview.setDrawingCacheEnabled(false);
			if (bitmap != null) {
				// 摜t@Co
				succeeds = outputPicture(bitmap, filename);
			}
		}catch (Exception e){
			e.printStackTrace();
			succeeds = false;
		}
		return succeeds;
	}
	
	/**
	 * 摜̃t@Co
	 * @param bitmap bitmap
	 * @param filename filename
	 * @return t@Co͐
	 */
	private boolean outputPicture(Bitmap bitmap, String filename)  {
		boolean succeeds = false;
		try {
			// Av̕ۑ̈ɏo͂悤Ɏw
			FileOutputStream output 
				= getActivity().openFileOutput(filename, Context.MODE_PRIVATE);
			// PNG`ɕϊďo
			bitmap.compress(Bitmap.CompressFormat.PNG, 100, output);
			succeeds = true;
		} catch (IOException e) {
			e.printStackTrace();
		}
		return succeeds;
	}
	
	/**
	 * ۑ摜ǂݍ
	 * @param filename filename
	 * @return ǂݍݐ
	 */
	public boolean LoadBitmap(String filename) {
		boolean succeeds = false;
		try {
			// Av̕ۑ̈悩摜t@C擾
			FileInputStream input = getActivity().openFileInput(filename);
			// 摜t@CBitmapɃfR[h
			Bitmap bitmap = BitmapFactory.decodeStream(input);

			// JX^ViewNX
			DrawView drawview
				= (DrawView)getActivity().findViewById(R.id.drawview);
			// 摜`悷
			drawview.DrawBitmap(bitmap);
			input.close();
			succeeds = true;
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		return succeeds;
	}
	
	/**
	 * ۑ摜폜
	 * @param filename filename
	 * @return 폜
	 */
	public boolean DeleteBitmap(String filename){
		return getActivity().deleteFile(filename);
	}
	
	/**
	 * `NA
	 * @return NA
	 */
	public boolean ClearDraw(){
		boolean succeeds = false;
		try{
			// JX^ViewNX
			DrawView drawview
				= (DrawView)getActivity().findViewById(R.id.drawview);
			// `NA
			drawview.ClearView();
			succeeds = true;
		} catch (Exception e){
			e.printStackTrace();
		}
		return succeeds;
	}
}
